Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023640
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-04-25 14:122013-05-06 09:22
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchpiFixed in SCM revision30185282b7a1
ProjectionnoneETAnoneTarget Version3.0MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023640: API Change: DalUtil.copy also copies the non-parent-child-one-to-many associations, this is invalid

DescriptionDalUtil.copy also copies the content of non-parent-child-one-to-many associations.

For example when copying an UOM, also its list of order lines is copied. This is incorrect as the list of order lines is related to the source/original UOM and not the new UOM.

For more information see the 23627 issue.

This is more a behavior change than a direct API change.
Steps To ReproduceFor more information see the 23627 issue.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00236273.0MP23 closedmtaal DalUtil.copy also copies the non-parent-child-one-to-many associations, this is invalid 

-  Notes
(0058327)
dmitry_mezentsev (developer)
2013-04-30 10:25

Approved.
(0058460)
mtaal (developer)
2013-05-06 09:22

Scheduled
(0058461)
mtaal (developer)
2013-05-06 09:22

Resolved
(0058462)
mtaal (developer)
2013-05-06 09:22

Done

- Issue History
Date Modified Username Field Change
2013-04-25 14:12 mtaal New Issue
2013-04-25 14:12 mtaal Assigned To => iciordia
2013-04-25 14:12 mtaal Modules => Core
2013-04-25 14:12 mtaal Triggers an Emergency Pack => No
2013-04-25 14:19 mtaal Relationship added depends on 0023627
2013-04-29 17:21 jonalegriaesarte Assigned To iciordia => dmitry_mezentsev
2013-04-30 10:25 dmitry_mezentsev Note Added: 0058327
2013-04-30 10:25 dmitry_mezentsev Assigned To dmitry_mezentsev => mtaal
2013-05-06 09:22 mtaal Status new => scheduled
2013-05-06 09:22 mtaal Note Added: 0058460
2013-05-06 09:22 mtaal fix_in_branch => pi
2013-05-06 09:22 mtaal Note Added: 0058461
2013-05-06 09:22 mtaal Status scheduled => resolved
2013-05-06 09:22 mtaal Fixed in Version => 3.0MP23
2013-05-06 09:22 mtaal Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/30185282b7a1058057dae4c3c9585d94da9195c2 [^]
2013-05-06 09:22 mtaal Resolution open => fixed
2013-05-06 09:22 mtaal Review Assigned To => mtaal
2013-05-06 09:22 mtaal Note Added: 0058462
2013-05-06 09:22 mtaal Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker